﻿Imports System
Imports System.Data
Imports System.Drawing
Imports Wisej.Web

Public Class Window1
    Private Sub Window1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim dsFiles As New DataSet
        Dim bsFiles As New BindingSource
        dsFiles.Tables.Add("Files")
        dsFiles.Tables("Files").Columns.Add("x", GetType(Integer))
        dsFiles.Tables("Files").Columns.Add("y", GetType(Integer))

        For x = 0 To 99
            dsFiles.Tables("Files").Rows.Add(x).Item("x") = x
            dsFiles.Tables("Files").Rows(x).Item("y") = Rnd.Next(0, 99)
        Next

        bsFiles.DataSource = dsFiles.Tables("Files")
        DataRepeater1.DataSource = bsFiles
        txtFileId.DataBindings.Add("Text", bsFiles, "x")
        txtAmount.DataBindings.Add("Text", bsFiles, "y")
        DataGridView1.DataSource = dsFiles.Tables("Files")
        DataGridView1.Columns("x").HeaderText = "Id"
        DataGridView1.Columns("y").HeaderText = "Amount"

    End Sub

    Dim rnd As New Random()

    'Get a random number from 10 to 99  (2 digits)
    Dim randomNumber As Integer = rnd.Next(0, 99)

    Private Sub DataRepeater1_ItemUpdate(sender As Object, e As DataRepeaterItemEventArgs) Handles DataRepeater1.ItemUpdate

        For Each ctl In e.DataRepeaterItem.Controls
            If TypeOf ctl Is TextBox Then
                Dim txt As TextBox = DirectCast(ctl, TextBox)

                If txt.Name = "txtAmount" Then
                    If txt.Text <> "" Then
                        If CType(txt.Text, Integer) < 10 Then
                            txt.BackColor = Color.Orange
                        End If
                    End If
                End If
            End If
        Next

    End Sub

    Private Sub DataGridView1_DataBindingComplete(sender As Object, e As DataGridViewBindingCompleteEventArgs) Handles DataGridView1.DataBindingComplete

        For Each row In DataGridView1.Rows

            If CType(row.Cells("y").Value, Integer) < 10 Then
                row.Cells("y").Style.BackColor = Color.Orange
            End If

        Next

    End Sub

End Class
